| Cantera 3.0.0

Loading...
Searching...
No Matches
Namespaces | Functions | Variables
SolutionArray.cpp File Reference

Definition file for class SolutionArray. More...

`#include "cantera/base/SolutionArray.h"`
`#include "cantera/base/Solution.h"`
`#include "cantera/base/Storage.h"`
`#include "cantera/base/stringUtils.h"`
`#include "cantera/thermo/ThermoPhase.h"`
`#include "cantera/thermo/SurfPhase.h"`
`#include "cantera/base/utilities.h"`
`#include <boost/algorithm/string.hpp>`
`#include <fstream>`
`#include <sstream>`
Include dependency graph for SolutionArray.cpp:

## Detailed Description

Definition file for class SolutionArray.

Definition in file SolutionArray.cpp.

Go to the source code of this file.

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
bool | isSimpleVector (const AnyValue &any)
AnyMap | preamble (const string &desc)
AnyMap & | openField (AnyMap &root, const string &name)
const AnyMap & | locateField (const AnyMap &root, const string &name)
string | getName (const set< string > &names, const string &name)

## Variables
const std::map< std::string, std::string > | aliasMap

## Variable Documentation

## ◆ aliasMap

const std::map<std::string, std::string> aliasMap

Initial value:
= {
{"T", "temperature"},
{"P", "pressure"},
{"D", "density"},
{"Y", "mass-fractions"},
{"X", "mole-fractions"},
{"C", "coverages"},
{"U", "specific-internal-energy"},
{"V", "specific-volume"},
{"H", "specific-enthalpy"},
{"S", "specific-entropy"},
{"Q", "vapor-fraction"},
}

Definition at line 23 of file SolutionArray.cpp.